<template>
    <img :src="url" class="object-none object-center w-full h-48" />
</template>
<script>
const format = require('string-format');
import './style.css'

export default{
    name: "WeeSpatialStaticMap",
    props: ["lat", "lng", "width", "height", "zoom"],
    data(){
        return {};
    },
    computed: {
        url(){
            return format('/spatial/thumb/{lat},{lng}/{width}x{height}/z{zoom}.png', {
                lat:    this.lat,
                lng:    this.lng,
                width:  this.width,
                height: this.height,
                zoom:   this.zoom
            })
        }
    }
}
</script>
<style>

</style>
